Live Portrait
整合
模型 id
live-portrait
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/live-portrait?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/live-portrait?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/live-portrait", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "live-portrait",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg"
}
}
透過 Doitong API 呼叫 Live Portrait 模型(live-portrait)。代理程式文件:https://doitong.com/zh-TW/developers/models/live-portrait.md
POST https://api.doitong.com/v1/run/live-portrait?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.com/v1/quote/live-portrait,可在執行前取得確切價格。
每次執行最多 $4.50 依實際用量收費,其餘金額會退款 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/live-portrait?wait=20
報價 → $4.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/live-portrait?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/live-portrait?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/live-portrait", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "live-portrait",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg"
},
"wait_seconds": 20
}
}
}
關於 Live Portrait
將驅動影片中的臉部動作轉移至靜態肖像,產生影片。除了 `video_url` 和 `image_url`,還提供眨眼、眉毛、眨單眼、瞳孔、嘴型(aaa、eee、woo)、微笑,以及 pitch、yaw 和 roll 頭部旋轉的數值控制。提供 `flag_do_crop` 和 `flag_pasteback` 等裁切與縫合選項,`dsize` 設定輸出大小(預設 512)。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
video_url必填
video
類型url · video
用於驅動嘴唇同步的影片 URL。
image_url必填
image
類型url · image
用於動畫的圖像 URL。
blink選填
類型number
預設值0
-30 – 30
眨眼程度。
eyebrow選填
類型number
預設值0
-30 – 30
眉毛抬起或降低的程度。
wink選填
類型number
預設值0
0 – 25
眨單眼的程度。
pupil_x選填
類型number
預設值0
-45 – 45
瞳孔水平移動量。
pupil_y選填
類型number
預設值0
-45 – 45
瞳孔垂直移動量。
aaa選填
類型number
預設值0
-200 – 200
嘴巴張成 'aaa' 形狀的程度。
eee選填
類型number
預設值0
-40 – 40
嘴巴塑形成 'eee' 位置的程度。
woo選填
類型number
預設值0
-100 – 100
嘴巴塑形成 'woo' 位置的程度。
smile選填
類型number
預設值0
-2 – 2
微笑程度。
flag_lip_zero選填
類型boolean
預設值true
動畫前閉唇;僅在 flag_eye_retargeting 和 flag_lip_retargeting 都設為 False 時適用。
rotate_pitch選填
類型number
預設值0
-45 – 45
臉部沿俯仰軸的旋轉量。
rotate_yaw選填
類型number
預設值0
-45 – 45
臉部沿偏航軸的旋轉量。
rotate_roll選填
類型number
預設值0
-45 – 45
臉部沿滾轉軸的旋轉量。
flag_eye_retargeting選填
類型boolean
預設值false
眼睛重新定位切換鈕。
flag_lip_retargeting選填
類型boolean
預設值false
嘴唇重新定位切換鈕。
flag_stitching選填
類型boolean
預設值true
拼接切換鈕;建議啟用。
flag_relative選填
類型boolean
預設值true
相對移動切換鈕。
flag_pasteback選填
類型boolean
預設值true
貼回/拼接選項,將動畫臉部裁切圖放回原始圖像,並將其從臉部裁切座標轉換出去。
flag_do_crop選填
類型boolean
預設值true
控制是否將來源肖像裁切至臉部裁切座標空間。
flag_do_rot選填
類型boolean
預設值true
控制 flag_do_crop 為 true 時是否執行旋轉。
dsize選填
類型integer
預設值512
結果圖像的尺寸。
scale選填
類型number
預設值2.3
套用至臉部裁切圖的縮放倍數。
vx_ratio選填
類型number
預設值0
控制臉部裁切水平偏移的比例。
vy_ratio選填
類型number
預設值-0.125
臉部裁切垂直定位比例:正負號決定方向,正值向上、負值向下。
batch_size選填
類型integer
預設值32
模型批次大小,需在速度與記憶體間取捨:提高批次大小會使用更多記憶體,以換取更快的執行速度。
enable_safety_checker選填
類型boolean
預設值false
控制是否啟用安全檢查。啟用時,檢查器會在模型處理前分析輸入圖像,確認其中是否包含臉部。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "live-portrait",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 4500,
"usd": "4.50",
"charged": 4500,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"image_url": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- video
- object {url, content_type, file_name, file_size}生成產生的影片檔案。
其他 Live Portrait 變體
更多模型:唇形同步與虛擬角色
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/live-portrait.md. 所有模型與指南: https://doitong.com/developers/llms.txt